// Copyright (C) 2011 Nico Piatkowski <nico.piatkowski@tu-dortmund.de>, All rights reserved 
#ifndef AttributeConsumer_H
#define AttributeConsumer_H

#include <vector>
#include <map>

#include "DataLayer/ObservationSet.h"
#include "DataLayer/ParameterDescriptor.h"

template <class T>
class AttributeConsumer{
	public:

		virtual int addAttribute(unsigned int, unsigned int, unsigned int, unsigned int, unsigned int, unsigned int*, std::map<unsigned int, std::vector<ParameterDescriptor>* >*, bool) = 0;
};
#endif
