// Copyright (C) 2011 Nico Piatkowski <nico.piatkowski@tu-dortmund.de>, All rights reserved 
#ifndef Optimizer_H
#define Optimizer_H

#include "Optimizable.h"

template <class T>
class Optimizer{

	protected:
		Optimizable<T>* objective;
		virtual void iterateSingle() = 0;
	public:

		Optimizer(Optimizable<T>* o){
			objective = o;
		}

		virtual void iterate(int n = 1) = 0;
		virtual void setStepsize(T e){};
};
#endif
