// Copyright (C) 2011 Nico Piatkowski <nico.piatkowski@tu-dortmund.de>, All rights reserved 
#ifndef FactorNode_H
#define FactorNode_H

struct FactorNode{
	unsigned long c;
	unsigned long o;
	unsigned long m;
	unsigned long t;

	bool operator <(const FactorNode& rhs) const {

		if(c < rhs.c) return true;
		else if(c == rhs.c) if(o < rhs.o) return true;

		return false;
	}

	bool operator ==(const FactorNode& rhs) const {
		return (c == rhs.c && o == rhs.o);
	}
};

struct FactorAttribute{
	unsigned long i;
	unsigned int  a;

	bool operator <(const FactorAttribute& rhs) const {

		if(i < rhs.i){

			return true;

		}else if(i == rhs.i){

			if(a < rhs.a) return true;
		}

		return false;
	}

	bool operator ==(const FactorAttribute& rhs) const {
		return (i == rhs.i && a == rhs.a);
	}
};

#endif
