// Copyright (C) 2011 Nico Piatkowski <nico.piatkowski@tu-dortmund.de>, All rights reserved 
#ifndef ParameterDescriptor_H
#define ParameterDescriptor_H

struct ParameterDescriptor{

	unsigned int  a;
	unsigned long i;
	unsigned long j;

	unsigned int jIdx;

	unsigned int n;
	unsigned int k; // faktor-template id

	bool operator <(const ParameterDescriptor& rhs) const {

		if(a < rhs.a){
			return true;
		}

		else if(a == rhs.a){

			if(i < rhs.i){
				return true;
			}

			else if(i == rhs.i){

				if(j < rhs.j){
					return true;
				}
			}

		}

		return false;
	}

	bool operator ==(const ParameterDescriptor& rhs) const {
		return (a == rhs.a) && (i == rhs.i) && (j == rhs.j);
	}
};



#endif

