// Copyright (C) 2011 Nico Piatkowski <nico.piatkowski@tu-dortmund.de>, All rights reserved 
template <class T>
__device__ T logAdd(T a, T b){
	T r;

	//cuPrintfRestrict(0,0);

	if(b<a){
		r = a + log((T)1.0 + exp(b-a));
	}else{
		r = b + log((T)1.0 + exp(a-b));
	}

	//cuPrintf("logAdd(%f, %f) = %f\n",a,b,r);

	return r;
}
