// Copyright (C) 2011 Nico Piatkowski <nico.piatkowski@tu-dortmund.de>, All rights reserved 
#ifndef ForwardBackwardConfig_H
#define ForwardBackwardConfig_H

template<class T>
struct ForwardBackwardConfig{

	unsigned int maxBlocks;

	unsigned int logPropsAlloc;
	unsigned int alphaAlloc;

	unsigned int viterbiPathAlloc;
	unsigned int labelAlloc;

	T* logProps;
	T* alpha;


	unsigned int* viterbiPath;
	unsigned int* labels;
};

#endif
